@import url('https://fonts.googleapis.com/css?family=Poppins');
body{
    margin: 0;
    padding: 0;
    font-family: 'Poppins',sans-serif;
}
.container{
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.container a{
    position: relative;
    width: 300px;
    height: 75px;
    margin: 10px 0;
    font-size: 24px;
    color: #000;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    transition: 0.5s;
}
.container a:hover{
    color: #fff;
}
.container a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: url(/img/btn-creative-27-bg1.png);
    background-size: cover;
    transform-origin: left;
    transition: 0.5s;
}
.container a:hover:before{
    width: 100%;
}
.container a:nth-child(2):before{
    background: url(/img/btn-creative-27-bg2.png);
    background-size: cover;
}
.container a span{
    position: relative;
    z-index: 1;
}